Get video thumbnail
curl --request GET \
--url https://api.videodb.io/video/{video_id}/thumbnail/ \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/video/{video_id}/thumbnail/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/video/{video_id}/thumbnail/' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/video/{video_id}/thumbnail/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/thumbnail/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/thumbnail/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/video/{video_id}/thumbnail/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/thumbnail/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/thumbnail/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/video/{video_id}/thumbnail/")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"thumbnail_url": "https://assets.videodb.io/thumb/12345.jpg"
}
}Get Video Thumbnail
Retrieve the default thumbnail image for a video
GET
/
video
/
{video_id}
/
thumbnail
/
Get video thumbnail
Retrieve the default thumbnail URL for a video. This is automatically generated when the video is uploaded.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
video = coll.get_videos()[0]
# Get default thumbnail URL (no time parameter)
thumbnail_url = video.generate_thumbnail()
print(f"Thumbnail URL: {thumbnail_url}")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
const videos = await coll.getVideos();
const video = videos[0];
// Get default thumbnail URL (no time parameter)
const thumbnailUrl = await video.generateThumbnail();
console.log(`Thumbnail URL: ${thumbnailUrl}`);
- Returns thumbnail as a URL string (not an Image object)
- Thumbnail is auto-generated from the video at upload time
- Thumbnail URL can be used directly in img tags for web display
- If stored in video.thumbnail_url, this method returns cached version
- For custom thumbnails at specific timestamps, use create-thumbnail endpoint
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^m-Example:
"m-12345"
Query Parameters
Example:
10.5
⌘I